Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2005-1545

Overview

Vulnerability Score 5.1 5.1
CVE Id CVE-2005-1545
Last Modified 10 Sep 2008 03:39:27
Published 14 May 2005 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity HIGH
Authentication NONE

CVE-2005-1545

Summary

Integer overflow in the ELF parser in HT Editor before 0.8.0 allows remote attackers to execute arbitrary code via a crafted ELF file, which leads to a heap-based buffer overflow.

Vulnerable Systems

Application

  • Ht Editor 0.3.991

  • Ht Editor 0.3.992

  • Ht Editor 0.4.0

  • Ht Editor 0.4.1

  • Ht Editor 0.4.2

  • Ht Editor 0.4.3

  • Ht Editor 0.4.4

  • Ht Editor 0.4.4b

  • Ht Editor 0.4.4c

  • Ht Editor 0.4.4d

  • Ht Editor 0.4.5

  • Ht Editor 0.5.0

  • Ht Editor 0.6.0

  • Ht Editor 0.6.0b

  • Ht Editor 0.7.0

  • Ht Editor 0.7.1

  • Ht Editor 0.7.2

  • Ht Editor 0.7.3

  • Ht Editor 0.7.4

  • Ht Editor 0.7.5

  • Ht Editor 0.8.0

  • Ht Editor 2000-01-14


References

GENTOO - GLSA-200505-08

DEBIAN - DSA-743


Last Updated: 27 May 2016 10:40:12